services:
  uptime-kuma:
    command:
    - node
    - server/server.js
    container_name: uptime-kuma
    deploy:
      resources:
        limits:
          memory: 536870912b
    entrypoint:
    - /usr/bin/dumb-init
    - --
    - extra/entrypoint.sh
    environment:
      NODE_VERSION: 18.20.3
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      UPTIME_KUMA_IS_CONTAINER: '1'
      YARN_VERSION: 1.22.19
    image: louislam/uptime-kuma:latest
    networks:
    - monitoring-net
    ports:
    - 3001:3001/tcp
    restart: unless-stopped
    volumes:
    - /home/jon/homelab/monitoring/uptime-kuma:/app/data:rw
    working_dir: /app
